/*

TRS / ACM BUILD SCRIPT

BY: BCB
DATE: 08/24/22
VERSION: 1.0.8

*/
set scan off
set define off
set sqlprefix off
set verify off
set feedback off
SET SERVEROUTPUT ON
spool trs_leims_v108_build_log_2_of_2.txt
prompt
prompt

prompt ***** TRS LEIMS BUILD 1.0.8 - 5-JAN-2023 (SCRIPT 2 OF 2) *****
 
VARIABLE V_COUNT NUMBER
BEGIN
:V_COUNT:=0;
END;
/
prompt /* ************************** 202200875 *************************** */
prompt ...applying IP 202200875
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200875_apex.sql
COMMIT;
prompt  ...done applying IP 202200875
prompt /* *************************** 202200875 ************************** */

prompt /* ************************** 202200967 *************************** */
prompt ...applying IP 202200967
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200967_apex.sql
prompt  ...done applying IP 202200967
prompt /* *************************** 202200967 ************************** */

prompt /* ************************** 202200961 *************************** */
prompt ...applying IP 202200961
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200961_apex.sql
prompt  ...done applying IP 202200961
prompt /* *************************** 202200961 ************************** */

prompt /* ************************** 202200875 Fix *************************** */
prompt ...applying IP 202200875 Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200875_apex_f.sql
prompt  ...done applying IP 202200875 Fix
prompt /* *************************** 202200875 Fix ************************** */

prompt /* ************************** 202200647 *************************** */
prompt ...applying IP 202200647
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200647_apex.sql
prompt  ...done applying IP 202200647
prompt /* *************************** 202200647 ************************** */

prompt /* ************************** 202201007 *************************** */
prompt ...applying IP 202201007
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202201007_apex.sql
prompt  ...done applying IP 202201007
prompt /* *************************** 202201007 ************************** */

prompt /* ************************** 202200961 Fix *************************** */
prompt ...applying IP 202200961 Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200961_apex_f.sql
prompt  ...done applying IP 202200961 Fix
prompt /* *************************** 202200961 Fix ************************** */

prompt /* ************************** 202200875 Fix 2 *************************** */
prompt ...applying IP 202200875 Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200875_apex_f2.sql
prompt  ...done applying IP 202200875 Fix
prompt /* *************************** 202200875 Fix 2 ************************** */

prompt /* ************************** 202201007 Fix *************************** */
prompt ...applying IP 202201007
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202201007_apex_fix2.sql
prompt  ...done applying IP 202201007
prompt /* *************************** 202201007 Fix ************************** */

prompt /* ************************** 202200961 Fix 2 *************************** */
prompt ...applying IP 202200961 Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200961_apex_fix2.sql
prompt  ...done applying IP 202200961 Fix
prompt /* *************************** 202200961 Fix 2 ************************** */

prompt /* ************************** 202201007_fix5 *************************** */
prompt ...applying IP 202201007_fix5
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202201007_apex_f5.sql
prompt  ...done applying IP 202201007_fix5
prompt /* *************************** 202201007_fix5 ************************** */

prompt /* ************************** 202200961 Fix 3 *************************** */
prompt ...applying IP 202200961 Fix
BEGIN
:V_COUNT:=:V_COUNT+1;
END;
/
@ip\202200961_apex_f3.sql
prompt  ...done applying IP 202200961 Fix
prompt /* *************************** 202200961 Fix 3 ************************** */

prompt
prompt
COMMIT;
SET SERVEROUTPUT OFF
set verify on
set feedback on
set define on
set sqlprefix on
prompt
prompt  ...done applying SCRIPT 2 OF 2
spool off
prompt
prompt
select ' ' || :V_COUNT || ' IPs successfully applied to database' AS "LEIMS Patch Summary" from dual;
spool off
COMMIT;
set verify on
set feedback on
set scan on
set define on
set sqlprefix on
prompt