-- 202200962 DML

-- Template Uploads
DECLARE
    L_RTN VARCHAR2(10) := NULL;
BEGIN
    L_RTN := DOCX_TEMPLATE.UPLOAD_BLOB_TEMPLATE('IT_ROI', 'IT_ROI_20221114.docx', 'DOCX_TEMPLATE');
END;
/

INSERT INTO T_ACM_REFERENCE
    (USAGE, CODE, DISPLAY, ACTIVE)
VALUES
    (
        'REPORT',
        'IT_ROI',
        'Insider Threat Investigation Report',
        'Y'
    );
    
INSERT INTO T_DOCX_REPORT_TYPE
    (OBJ_TYPE, CODE, DISPLAY, PKG_FUNCTION, MIME_TYPE)
VALUES
    (
        (SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INV_1'),
        (SELECT USAGE || '.FILE.INV_IT.' || CODE  FROM T_ACM_REFERENCE WHERE DISPLAY = 'Insider Threat Investigation Report'),
        'Insider Threat Report',
        'DOCX_REPORT.IT_ROI_REPORT',
        (SELECT SID FROM T_REPORT_MIME_TYPE WHERE CODE = 'DOCX')
    );