-- TRS PGROUPS FIX
DELETE FROM T_ACM_PGROUP_PRIV
WHERE ACM_PGROUP IN (SELECT SID FROM T_ACM_PRIV_GROUP WHERE CODE IN ('IRMO_LVL_1', 'IRMO_LVL_2')
);

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_GROUP_SID                        T_ACM_PRIV_GROUP.SID%TYPE;
  V_PGROUP_PRIV_SID                       T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_PRIV_GROUP_SID := ACM_MDE3.IMPORT_PRIV_GROUP( P_CODE => 'IRMO_LVL_1', P_DISPLAY => 'IRMO Level 1', P_COMMENTS => null, 
 P_DATA_GROUP => 1);
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.EXCEPTION.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'PARTIC.INDIV.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'PARTIC.NONINDIV.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.EXCEPTION.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'PARTIC.INDIV.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'PARTIC.NONINDIV.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.INTERVIEW.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.INTERVIEW.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.DOC_REVIEW.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.DOC_REVIEW.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.COORD.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.COORD.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.BRIEFING.ENTERPRISE.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.BRIEFING.ENTERPRISE.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_BRIEFING.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_BRIEFING.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_CONTACT.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_CONTACT.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.COORD.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.BRIEFING.ENTERPRISE.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.DOC_REVIEW.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.BRIEFING.ENTERPRISE.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.COORD.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.DOC_REVIEW.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.EXCEPTION.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.EXCEPTION.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.INTERVIEW.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.INTERVIEW.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_BRIEFING.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_BRIEFING.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_CONTACT.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_CONTACT.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.PLAN_STEP_ADD', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'SYS.ACCESS_APP_SEARCH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'SYS.ACCESS_VLT', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.RECORD_CHEC.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.RECORD_CHEC.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.RECORD_CHEC.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.RECORD_CHEC.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'SYS.ACCESS_METRICS_REPORTS', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'SYS.ACCESS_QART', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'SYS.ACCESS_ENTERPRISE_MW', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'SYS.ACCESS_DHS_SUPERVISOR', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PERSON.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PERSON.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PERSON.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PERSON.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PLACE.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PLACE.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PLACE.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PLACE.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PROPERTY.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PROPERTY.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PROPERTY.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PROPERTY.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.OPERATION.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.OPERATION.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.OPERATION.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.OPERATION.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.TIRA.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.TIRA.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.TIRA.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.CREATE', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_1');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.SAVE', P_PGROUP_CODE => 'IRMO_LVL_1');
exception
  when OTHERS then
    raise;
end;
/

set scan off
declare
  V_OBJ_TYPE_CODE                   VARCHAR2(300);
  V_PRIV_GROUP_SID                        T_ACM_PRIV_GROUP.SID%TYPE;
  V_PGROUP_PRIV_SID                       T_ACM_PGROUP_PRIV.SID%TYPE;
begin
  V_PRIV_GROUP_SID := ACM_MDE3.IMPORT_PRIV_GROUP( P_CODE => 'IRMO_LVL_2', P_DISPLAY => 'IRMO Level 2', P_COMMENTS => null, 
 P_DATA_GROUP => 1);
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.EXCEPTION.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'PERSONNEL.PSWD_RESET', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'PERSONNEL.UNLOCK_ACCT', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.INTERVIEW.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.DOC_REVIEW.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.COORD.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.BRIEFING.ENTERPRISE.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_BRIEFING.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_CONTACT.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.PLAN_STEP_DELETE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.RECORD_CHEC.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.BRIEFING.ENTERPRISE.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.COORD.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.DOC_REVIEW.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.EXCEPTION.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_BRIEFING.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.FOR_CONTACT.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.INTERVIEW.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.RECORD_CHEC.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.INV_1.EDIT_SUPPORTING_UNIT', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'SYS.ACCESS_DHS_SUBORDINATE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PERSON.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PERSON.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PLACE.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PLACE.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PROPERTY.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.SEARCH.PROPERTY.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.OPERATION.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'ACT.OPERATION.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.TIRA.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.TIRA.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.TIRA.EDIT_SUPPORTING_UNIT', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.ADD_RESTRICTION', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.APPROVE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.CLOSE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.COMPLETE', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.DOWNLOAD_ATTACH', P_PGROUP_CODE => 'IRMO_LVL_2');
V_PGROUP_PRIV_SID := ACM_MDE3.ADD_PRIV_TO_PGROUP( P_PRIV_CODE => 'FILE.IRMO.EDIT_SUPPORTING_UNIT', P_PGROUP_CODE => 'IRMO_LVL_2');
exception
  when OTHERS then
    raise;
end;
/