--update statements for necessary dropdown items to be lifecycle items in investigation file
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'REOPEN';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'RSFC';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'REJ';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'SFC';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'AC';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'APRCL';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE = 
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRELIM') AND CODE = 'CLOSURE_ADMIN';

--update statements for dropdown items to be lifecycle items in CI Risk Assessment file 
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS') AND CODE = 'REOPEN';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS') AND CODE = 'RSFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS') AND CODE = 'REJ';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS') AND CODE = 'SFRA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.RISK_ASSESS') AND CODE = 'AC';

--update statements for dropdown items to be lifecycle items in cyber files
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.CYBER') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.CYBER') AND CODE = 'REOPEN';

--update statements for dropdown items to be lifecycle items in general files
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.ANP') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.ANP') AND CODE = 'RSA';

--initial file update statements
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRE_ASSESS') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.PRE_ASSESS') AND CODE = 'REJ';

--inquiry file update statements
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'REJ';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'CSRU';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'AC';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'REOPEN';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'RN';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'APRCL';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'DOME';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'RSFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'RSFC';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.INVEST') AND CODE = 'CLOSURE_ADMIN';


--operations file update statements
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.OPERATIONS') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.OPERATIONS') AND CODE = 'REOPEN';

--Travel file update statements
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.TRAVEL') AND CODE = 'SFA';
UPDATE T_ACM_NOTE_TYPE SET USAGE = 'LIFECYCLE' WHERE OBJ_TYPE =
(SELECT SID FROM T_ACM_OBJ_TYPE WHERE OBJ_TYPE_CODE = 'FILE.TRAVEL') AND CODE = 'REOPEN';
